com.thinkaurelius.titan.diskstorage.configuration

## Class ConfigOption<O>

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.ConfigElement
  - - com.thinkaurelius.titan.diskstorage.configuration.ConfigOption<O>

-     public class ConfigOption<O>
      extends ConfigElement

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConfigOption.Type`

    - ### Nested classes/interfaces inherited from class com.thinkaurelius.titan.diskstorage.configuration.ConfigElement

      `ConfigElement.PathIdentifier`

  - ### Field Summary

    - ### Fields inherited from class com.thinkaurelius.titan.diskstorage.configuration.ConfigElement

      `ILLEGAL_CHARS, SEPARATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigOption(ConfigNamespace parent, String name, String description, ConfigOption.Type type, Class<O> datatype)`
    `ConfigOption(ConfigNamespace parent, String name, String description, ConfigOption.Type type, Class<O> datatype, O defaultValue)`
    `ConfigOption(ConfigNamespace parent, String name, String description, ConfigOption.Type type, Class<O> datatype, O defaultValue, com.google.common.base.Predicate<O> verificationFct)`
    `ConfigOption(ConfigNamespace parent, String name, String description, ConfigOption.Type type, Class<O> datatype, com.google.common.base.Predicate<O> verificationFct)`
    `ConfigOption(ConfigNamespace parent, String name, String description, ConfigOption.Type type, O defaultValue)`
    `ConfigOption(ConfigNamespace parent, String name, String description, ConfigOption.Type type, O defaultValue, com.google.common.base.Predicate<O> verificationFct)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <O> com.google.common.base.Predicate<O>` | `disallowEmpty(Class<O> clazz)`
    `O` | `get(Object input)`
    `Class<O>` | `getDatatype()`
    `O` | `getDefaultValue()`
    `ConfigOption.Type` | `getType()`
    `ConfigOption<O>` | `hide()`
    `boolean` | `isFixed()`
    `boolean` | `isGlobal()`
    `boolean` | `isHidden()`
    `boolean` | `isLocal()`
    `boolean` | `isOption()`
    `static com.google.common.base.Predicate<Integer>` | `nonnegativeInt()`
    `static com.google.common.base.Predicate<Integer>` | `positiveInt()`
    `static com.google.common.base.Predicate<Long>` | `positiveLong()`
    `O` | `verify(Object input)`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.configuration.ConfigElement

      `equals, getComponents, getDescription, getName, getNamespace, getPath, getRoot, hashCode, isNamespace, isRoot, parse, toString, toString, toStringSingle`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigOption

          public ConfigOption(ConfigNamespace parent,
                      String name,
                      String description,
                      ConfigOption.Type type,
                      O defaultValue)

    - #### ConfigOption

          public ConfigOption(ConfigNamespace parent,
                      String name,
                      String description,
                      ConfigOption.Type type,
                      O defaultValue,
                      com.google.common.base.Predicate<O> verificationFct)

    - #### ConfigOption

          public ConfigOption(ConfigNamespace parent,
                      String name,
                      String description,
                      ConfigOption.Type type,
                      Class<O> datatype)

    - #### ConfigOption

          public ConfigOption(ConfigNamespace parent,
                      String name,
                      String description,
                      ConfigOption.Type type,
                      Class<O> datatype,
                      com.google.common.base.Predicate<O> verificationFct)

    - #### ConfigOption

          public ConfigOption(ConfigNamespace parent,
                      String name,
                      String description,
                      ConfigOption.Type type,
                      Class<O> datatype,
                      O defaultValue)

    - #### ConfigOption

          public ConfigOption(ConfigNamespace parent,
                      String name,
                      String description,
                      ConfigOption.Type type,
                      Class<O> datatype,
                      O defaultValue,
                      com.google.common.base.Predicate<O> verificationFct)

  - ### Method Detail

    - #### hide

          public ConfigOption<O> hide()

    - #### isHidden

          public boolean isHidden()

    - #### getType

          public ConfigOption.Type getType()

    - #### getDatatype

          public Class<O> getDatatype()

    - #### getDefaultValue

          public O getDefaultValue()

    - #### isFixed

          public boolean isFixed()

    - #### isGlobal

          public boolean isGlobal()

    - #### isLocal

          public boolean isLocal()

    - #### isOption

          public boolean isOption()

      Specified by:
        `isOption` in class `ConfigElement`

    - #### get

          public O get(Object input)

    - #### verify

          public O verify(Object input)

    - #### disallowEmpty

          public static final <O> com.google.common.base.Predicate<O> disallowEmpty(Class<O> clazz)

    - #### positiveInt

          public static final com.google.common.base.Predicate<Integer> positiveInt()

    - #### nonnegativeInt

          public static final com.google.common.base.Predicate<Integer> nonnegativeInt()

    - #### positiveLong

          public static final com.google.common.base.Predicate<Long> positiveLong()

Copyright © 2012–2014. All rights reserved.